﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;
 
<table>
    <tr>
        <td style="width: 80px; border="5" ">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Apply From<b style=\"color:red;\">*</b>";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                    edtSettings.EncodeHtml = false;
                }).GetHtml()
        </td>

        <td>
            @Html.DevExpress().DateEdit(
                dateedit =>
                {
                    dateedit.Properties.ClientInstanceName = "dateeditAPPLTERMFROM";
                    dateedit.Name = "dateeditAPPLTERMFROM";
                    dateedit.Properties.DisplayFormatString = "dd.MM.yyyy";
                    dateedit.Properties.EditFormatString = "dd.MM.yyyy";
                    dateedit.Width = Unit.Pixel(110);
                    dateedit.Width = 110;
                    //dateedit.Properties.EnableClientSideAPI = true;
                    //dateedit.Properties.ClientSideEvents.ValueChanged = "TextValueChangedMergeNewLineToSemiColon";
                }).GetHtml() 
        </td>

        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Apply To <b style=\"color:red;\">*</b>";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                    
                    edtSettings.EncodeHtml = false;
                }).GetHtml()
                
        </td>
        <td style="width:80px">
            @Html.DevExpress().DateEdit(
                                  dateedit =>
                         {
                             dateedit.Properties.ClientInstanceName = "dateeditAPPLTERMTO";
                             dateedit.Name = "dateeditAPPLTERMTO";
                             dateedit.Properties.DisplayFormatString = "dd.MM.yyyy";
                             dateedit.Properties.EditFormatString = "dd.MM.yyyy";
                             dateedit.Width = Unit.Pixel(110);
                             //dateedit.Properties.EnableClientSideAPI = true;
                             //dateedit.Properties.ClientSideEvents.ValueChanged = "TextValueChangedMergeNewLineToSemiColon";
                         }).GetHtml()
        </td>
        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Pick Up Date";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
                
        </td>
        <td style="width:80px">
            @Html.DevExpress().DateEdit(
                                  dateedit =>
                         {
                             dateedit.Properties.ClientInstanceName = "dateeditRTEDATE";
                             dateedit.Name = "dateeditRTEDATE";
                             dateedit.Properties.DisplayFormatString = "dd.MM.yyyy";
                             dateedit.Properties.EditFormatString = "dd.MM.yyyy";
                             dateedit.Width = Unit.Pixel(110);
                             //dateedit.Properties.EnableClientSideAPI = true;
                             //dateedit.Properties.ClientSideEvents.ValueChanged = "TextValueChangedMergeNewLineToSemiColon";
                         }).GetHtml()
        </td>

        </tr>


    <tr>
        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Trucking";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>

        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "LOGPARTNERCD";
                    gridLookup.Width = 110;
                    gridLookup.GridProperties.KeyFieldName = "LPCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DriverDataTlms", Action = "PartialLogistickGridLookup" };
                    //gridLookup.ReadOnly = true;

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "LOGCD";
                        column.FieldName = "LPCode";
                        column.Caption = "Trucking";
                        column.Width = Unit.Pixel(90);
                        column.PropertiesEdit.EnableClientSideAPI = true;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "LOGNM";
                        column.FieldName = "LPName";
                        column.Caption = "Trucking Name";
                        column.Width = Unit.Pixel(200);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["LogistickPartner"]).GetHtml()
        </td>   

        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
                
        </td>

         <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "logptcd";
                    gridLookup.Width = 110;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DriverDataTlms", Action = "PartialSupplierGridLookup" };
                    gridLookup.ReadOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "supliercode";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Supplier";
                        column.Width = Unit.Pixel(50);
                        column.PropertiesEdit.EnableClientSideAPI = true;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        //column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        //column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "supliername";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier Name";
                        column.Width = Unit.Pixel(150);
                        column.PropertiesEdit.EnableClientSideAPI = true;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["supplierGridLookup"]).GetHtml()
        </td>
        
        <td style="width:80px">
        @Html.DevExpress().Label(
        edtSettings =>
            {
            
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Route Group";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                
            }).GetHtml()
        </td>

        <td style="width: 100px" colspan="2">
                @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHRouteOption";
                    gridLookup.Width = 110;
                    gridLookup.GridProperties.KeyFieldName = "ROUTE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DriverDataTlms", Action = "PartialHeaderRouteGridLookupPart" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "ROUTE";
                        column.FieldName = "ROUTE";
                        column.Caption = "Route";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "ROUTE_NAME";
                        column.FieldName = "ROUTE_NAME";
                        column.Caption = "Route Name";
                        column.Width = Unit.Pixel(160);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["RouteGridLookup"]).GetHtml()
            </td>
            <td style="padding-left:530px"></td>

       @* <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Route Code";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
                
        </td>

         <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "as";
                    gridLookup.Width = 108;
                    gridLookup.GridProperties.KeyFieldName = "Route_CODE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DriverDataTlms", Action = "PartialSupplierGridLookup" };
                    gridLookup.ReadOnly = true;

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "supliercode";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Route Code";
                        column.Width = Unit.Pixel(200);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "supliername";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Route Name";
                        column.Width = Unit.Pixel(200);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["supplierGridLookup"]).GetHtml()
        </td>*@
        
     
     @* row spacing *@
        <td style="width:90px"> @* column spacing *@
        
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "SearchButton";
                    edtSetting.Text = "Search";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPSearchButtonClick";
                }
            ).GetHtml()
        </td>
       
       <td>
           @{ var gridSetting = ((Toyota.Common.Web.Html.Helper.DevExpress.CommonGridLookupSettings)(TempData["Grid" + TempData["GridName"]]));
              TempData["Grid" + TempData["GridName"]] = gridSetting;
              TempData["GridName"] = gridSetting.Name;
    }
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "ClearButton";
                    edtSetting.Text = "Clear";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "function(s, e){ Grid" + gridSetting.Name + ".UnselectRows(); }";
                    edtSetting.ClientSideEvents.Click = "OnOIPClearButtonClick";
                }
            ).GetHtml()
        </td>

        <td>
            @*@Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "DwonloadButton";
                    edtSetting.Text = "Download";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPDwonloadButtonClick";
                }
            ).GetHtml()*@
        </td>
        
    </tr>
 
</table>
